Bug 1652210 - NetworkManager lldp VLAN name parser does reads too many bytes
Summary: NetworkManager lldp VLAN name parser does reads too many bytes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1652513
TreeView+ depends on / blocked
 
Reported: 2018-11-21 16:54 UTC by Till Maas
Modified: 2019-08-06 13:16 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.16.2-0.1.20190328git8ec0954570.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1652513 (view as bug list)
Environment:
Last Closed: 2019-08-06 13:16:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
pcap with LLDP package that shows the problem. (484 bytes, application/octet-stream)
2018-11-21 16:54 UTC, Till Maas
no flags Details
[PATCH] lldp: fix parsing of vlan-name attribute (2.02 KB, patch)
2018-11-21 17:38 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2302 None None None 2019-08-06 13:16:51 UTC

Description Till Maas 2018-11-21 16:54:11 UTC
Created attachment 1507737 [details]
pcap with LLDP package that shows the problem.

Description of problem:
nmcli --fields all device lldp reports

NEIGHBOR[0].IEEE-802-1-VLAN-NAME:       default\376\f

when the actual name is "default". \376\f are the next two bytes in the packet (0xfe 0x0c). The pcap file is attached.

Comment 2 Beniamino Galvani 2018-11-21 17:38:19 UTC
Created attachment 1507757 [details]
[PATCH] lldp: fix parsing of vlan-name attribute

Comment 3 Thomas Haller 2018-11-22 06:33:36 UTC
(In reply to Beniamino Galvani from comment #2)
> Created attachment 1507757 [details]
> [PATCH] lldp: fix parsing of vlan-name attribute

lgtm. Could you add a "Fixes" comment?

Comment 5 Beniamino Galvani 2018-11-22 09:29:19 UTC
(and backported to all stable branches down to nm-1-2)

Comment 8 errata-xmlrpc 2019-08-06 13:16:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2302


Note You need to log in before you can comment on or make changes to this bug.